rust-tokio-executor

Package information

State
ok

Scheduler parameters

Tracked by Koschei
True
Current priority
3029
Manual priority
0
Static priority
0
Arch override
None
Skip resolution
False

Configure scheduling

Tracked by Koschei
Manual priority
Skip resolution
Arch override
Cancel

Dependency changes since last build

rust-packaging
10-6.fc32
11-1.fc32
1
python3-rust2rpm
10-6.fc32
11-1.fc32
2
rust-srpm-macros
10-2.fc31
11-2.fc32
2
glibc
2.30.9000-19.fc32
2.30.9000-24.fc32
3
python3
3.8.0-1.fc32
3.8.0-3.fc32
3
llvm-libs
9.0.0-3.fc32
9.0.0-4.fc32
3
gmp
1:6.1.2-10.fc31
1:6.1.2-12.fc32
3
glibc-devel
2.30.9000-19.fc32
2.30.9000-24.fc32
4
python3-libs
3.8.0-1.fc32
3.8.0-3.fc32
4
bash
5.0.7-3.fc31
5.0.11-1.fc32
4
crypto-policies
20191002-1.gitc93dc99....
20191128-1.gitcd267a5....
4
python3-idna
2.8-4.fc32
2.8-5.fc32
4
krb5-libs
1.17-52.fc32
1.17-54.fc32
4
glibc-common
2.30.9000-19.fc32
2.30.9000-24.fc32
4
glibc-minimal-langpack
2.30.9000-19.fc32
2.30.9000-24.fc32
4
binutils
2.33.1-8.fc32
2.33.1-10.fc32
4
rust-crossbeam-deque+default-devel
0.7.1-3.fc31
0.7.2-1.fc32
B
rust-arrayvec-devel
0.4.11-1.fc31
elfutils-libelf
0.177-1.fc32
0.178-4.fc32
B
systemd-libs
244~rc1-1.fc32
244-1.fc32
B
python3-semantic_version
2.6.0-13.fc32
rust-crossbeam-deque-devel
0.7.1-3.fc31
0.7.2-1.fc32
B
kernel-headers
5.4.0-0.rc6.git0.1....
5.4.0-1.fc32
B
redhat-rpm-config
142-1.fc32
146-1.fc32
B
python-srpm-macros
3-49.fc32
3-50.fc32
B
ocaml-srpm-macros
5-6.fc31
6-1.fc32
B
rust-libc+default-devel
0.2.65-1.fc32
0.2.66-1.fc32
B
rust-lock_api+default-devel
0.3.1-1.fc31
0.3.2-1.fc32
B
glibc-headers
2.30.9000-19.fc32
2.30.9000-24.fc32
B
elfutils
0.177-1.fc32
0.178-4.fc32
B
rust-libc-devel
0.2.65-1.fc32
0.2.66-1.fc32
B
make
1:4.2.1-14.fc31
1:4.2.1-15.fc32
B
libsepol
3.0-0.rc.1.fc32
3.0-1.fc32
B
pcre2
10.34-1.fc32
10.34-2.fc32
B
annobin
8.91-1.fc32
8.92-1.fc32
B
rust-crossbeam-utils+std-devel
0.7.0-1.fc32
B
rust-libc+std-devel
0.2.65-1.fc32
0.2.66-1.fc32
B
rust-nodrop-devel
0.1.14-1.fc32
rust-crossbeam-epoch+default-devel
0.7.2-1.fc32
0.8.0-1.fc32
B
libselinux
3.0-0.r1.1.fc32
3.0-1.fc32
B
elfutils-libs
0.177-1.fc32
0.178-4.fc32
B
rust-crossbeam-utils+default-devel
0.7.0-1.fc32
B
rust-autocfg-devel
0.1.7-1.fc32
B
rust-autocfg+default-devel
0.1.7-1.fc32
B
rust-crossbeam-utils-devel
0.7.0-1.fc32
B
rust-crossbeam-queue0.1+default-devel
0.1.2-1.fc32
B
rust-crossbeam-queue0.1-devel
0.1.2-1.fc32
B
libsemanage
3.0-0.rc1.1.fc32
3.0-1.fc32
B
rust-crossbeam-queue-devel
0.1.2-3.fc31
python3-pysocks
1.7.1-2.fc32
1.7.1-3.fc32
B
rust-crossbeam-queue+default-devel
0.1.2-3.fc31
rust-crossbeam-epoch+std-devel
0.7.2-1.fc32
0.8.0-1.fc32
B
rust-crossbeam-epoch-devel
0.7.2-1.fc32
0.8.0-1.fc32
B
binutils-gold
2.33.1-8.fc32
2.33.1-10.fc32
B
rust-lock_api-devel
0.3.1-1.fc31
0.3.2-1.fc32
B
elfutils-default-yama-scope
0.177-1.fc32
0.178-4.fc32
B

Most recent builds

2019-12-04 09:41:33
Package dependencies resolved successfuly
2019-12-04 08:33:09
Package resolution failed
  • Problem: conflicting requests
    - nothing provides rust-srpm-macros = 10 needed by rust-packaging-10-6.fc32.x86_64
2019-11-28 12:22:06
Package dependencies resolved successfuly
2019-11-28 12:12:37
Package resolution failed
  • Problem: package rust-tokio+rt-full-devel-0.1.22-2.fc31.noarch requires (crate(tokio-threadpool/default) >= 0.1.14 with crate(tokio-threadpool/default) < 0.2.0), but none of the providers can be installed
    - package rust-tokio+default-devel-0.1.22-2.fc31.noarch requires crate(tokio/rt-full) = 0.1.22, but none of the providers can be installed
    - package rust-tokio-threadpool+default-devel-0.1.16-1.fc32.noarch requires crate(tokio-threadpool) = 0.1.16, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(crossbeam-queue/default) >= 0.1.0 with crate(crossbeam-queue/default) < 0.2.0) needed by rust-tokio-threadpool-devel-0.1.16-1.fc32.noarch
2019-11-28 11:18:53
Package dependencies resolved successfuly
2019-11-28 10:51:44
Package resolution failed
  • Problem: package rust-tokio-threadpool+default-devel-0.1.16-1.fc32.noarch requires crate(tokio-threadpool) = 0.1.16, but none of the providers can be installed
    - package rust-tokio+rt-full-devel-0.1.22-2.fc31.noarch requires (crate(tokio-threadpool/default) >= 0.1.14 with crate(tokio-threadpool/default) < 0.2.0), but none of the providers can be installed
    - package rust-tokio-threadpool-devel-0.1.16-1.fc32.noarch requires (crate(crossbeam-deque/default) >= 0.7.0 with crate(crossbeam-deque/default) < 0.8.0), but none of the providers can be installed
    - package rust-tokio+default-devel-0.1.22-2.fc31.noarch requires crate(tokio/rt-full) = 0.1.22, but none of the providers can be installed
    - package rust-crossbeam-deque+default-devel-0.7.1-3.fc31.noarch requires crate(crossbeam-deque) = 0.7.1, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(crossbeam-epoch/default) >= 0.7.0 with crate(crossbeam-epoch/default) < 0.8.0) needed by rust-crossbeam-deque-devel-0.7.1-3.fc31.noarch
rust-futures0.1+default-devel
0.1.27-3.fc31
0.1.29-1.fc32
1
rust-futures0.1+with-deprecated-devel
0.1.27-3.fc31
0.1.29-1.fc32
2
rust-futures0.1+use_std-devel
0.1.27-3.fc31
0.1.29-1.fc32
2
rust-futures0.1-devel
0.1.27-3.fc31
0.1.29-1.fc32
2
rust-tokio-reactor+default-devel
0.1.9-6.fc31
0.1.10-1.fc32
3
rust-tokio-sync+default-devel
0.1.6-3.fc31
0.1.7-1.fc32
3
rust-tokio-threadpool+default-devel
0.1.15-2.fc31
0.1.16-1.fc32
3
rust-mio+default-devel
0.6.19-3.fc31
0.6.20-1.fc32
3
rust-tokio-udp+default-devel
0.1.3-5.fc31
0.1.5-1.fc32
3
rust-mio+with-deprecated-devel
0.6.19-3.fc31
0.6.20-1.fc32
4
rust-tokio-sync-devel
0.1.6-3.fc31
0.1.7-1.fc32
4
rust-mio-devel
0.6.19-3.fc31
0.6.20-1.fc32
4
rust-tokio-reactor-devel
0.1.9-6.fc31
0.1.10-1.fc32
4
rust-tokio-threadpool-devel
0.1.15-2.fc31
0.1.16-1.fc32
4
rust-tokio-udp-devel
0.1.3-5.fc31
0.1.5-1.fc32
4
rust-rand_core0.4+alloc-devel
0.4.0-1.fc31
rust-rand_isaac0.1-devel
0.1.1-1.fc31
rust-smallvec0.6-devel
0.6.12-1.fc32
B
rust-rand_jitter0.1+std-devel
0.1.4-1.fc31
rust-smallvec0.6+default-devel
0.6.12-1.fc32
B
rust-smallvec0.6+std-devel
0.6.12-1.fc32
B
rust-autocfg-devel
0.1.7-1.fc32
rust-rand_pcg0.1-devel
0.1.2-1.fc31
rust-autocfg+default-devel
0.1.7-1.fc32
pcre2
10.34-0.2.RC2.fc32
10.34-1.fc32
B
audit-libs
3.0-0.15.20191104...
3.0-0.16.20191104...
B
rust-rand_jitter0.1-devel
0.1.4-1.fc31
rust-rand0.6+default-devel
0.6.5-1.fc31
rust-rand0.6-devel
0.6.5-1.fc31
rust-rand_xorshift0.1+default-devel
0.1.1-1.fc31
rust-rand_xorshift0.1-devel
0.1.1-1.fc31
rust-rand_core0.3-devel
0.3.1-6.fc31
rust-rand0.6+std-devel
0.6.5-1.fc31
rust-rand_jitter0.1+default-devel
0.1.4-1.fc31
rust-rand0.6+alloc-devel
0.6.5-1.fc31
rust-rand_os0.1+default-devel
0.1.3-1.fc31
rust-iovec+default-devel
0.1.2-7.fc31
0.1.4-1.fc32
B
rust-rand_chacha0.1+default-devel
0.1.1-1.fc31
rust-rand_hc0.1-devel
0.1.0-1.fc31
rust-rand_chacha0.1-devel
0.1.1-1.fc31
rust-iovec-devel
0.1.2-7.fc31
0.1.4-1.fc32
B
rust-smallvec+std-devel
0.6.10-3.fc31
rust-rand_core0.4+default-devel
0.4.0-1.fc31
systemd-libs
243.4-1.fc32
244~rc1-1.fc32
B
rust-smallvec+default-devel
0.6.10-3.fc31
rust-rand_isaac0.1+default-devel
0.1.1-1.fc31
rust-rand_core0.4-devel
0.4.0-1.fc31
rust-rand_core0.4+std-devel
0.4.0-1.fc31
rust-smallvec-devel
0.6.10-3.fc31
rust-rand_hc0.1+default-devel
0.1.0-1.fc31
rust-rand_pcg0.1+default-devel
0.1.2-1.fc31
rust-rand_os0.1-devel
0.1.3-1.fc31
2019-11-22 20:43:12
Package dependencies resolved successfuly
Previous history